summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastien Fabbro <bicatali@gentoo.org>2009-01-20 18:04:09 +0000
committerSebastien Fabbro <bicatali@gentoo.org>2009-01-20 18:04:09 +0000
commite21249f688b083ba4c06f58f4892891fc95bc391 (patch)
tree2ebf50826ba9aeaf6e6ce8b1d05bf5027c8c29e9 /sci-physics/root/files
parent...and png for sdl-image (diff)
downloadgentoo-2-e21249f688b083ba4c06f58f4892891fc95bc391.tar.gz
gentoo-2-e21249f688b083ba4c06f58f4892891fc95bc391.tar.bz2
gentoo-2-e21249f688b083ba4c06f58f4892891fc95bc391.zip
Fixed postgresql configuration (bug #251590), fixed server rootd and proofd files
(Portage version: 2.2_rc23/cvs/Linux x86_64)
Diffstat (limited to 'sci-physics/root/files')
-rw-r--r--sci-physics/root/files/proofd.initd8
-rw-r--r--sci-physics/root/files/rootd.initd10
-rw-r--r--sci-physics/root/files/xrootd.initd8
3 files changed, 13 insertions, 13 deletions
diff --git a/sci-physics/root/files/proofd.initd b/sci-physics/root/files/proofd.initd
index 524ef2bf67dd..c34a51ccae28 100644
--- a/sci-physics/root/files/proofd.initd
+++ b/sci-physics/root/files/proofd.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/proofd.initd,v 1.1 2008/12/18 18:10:18 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/proofd.initd,v 1.2 2009/01/20 18:04:09 bicatali Exp $
depend() {
need root-file-server
@@ -11,8 +11,8 @@ depend() {
start() {
ebegin "Starting parallel ROOT facility server"
start-stop-daemon --start --quiet \
- --pidfile=/var/run/proofd.pid \
- --exec /usr/bin/proofd -- ${PROOFD_OPTS}
+ --pidfile /var/run/proofd.pid \
+ --exec /usr/bin/proofd -- ${PROOFD_OPTS} ${PROOF_DIR}
pidof /usr/bin/proofd > /var/run/proofd.pid
eend $?
}
@@ -20,7 +20,7 @@ start() {
stop() {
ebegin "Stopping parallel ROOT facility server"
start-stop-daemon --stop --quiet \
- --pidfile=/var/run/proofd.pid \
+ --pidfile /var/run/proofd.pid \
--exec /usr/bin/proofd
eend $?
}
diff --git a/sci-physics/root/files/rootd.initd b/sci-physics/root/files/rootd.initd
index ddebb58fba76..72dccb559ff6 100644
--- a/sci-physics/root/files/rootd.initd
+++ b/sci-physics/root/files/rootd.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/rootd.initd,v 1.1 2008/12/18 18:10:18 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/rootd.initd,v 1.2 2009/01/20 18:04:09 bicatali Exp $
depend() {
need net
@@ -11,10 +11,10 @@ depend() {
start() {
ebegin "Starting ROOT file server"
- pid=$(start-stop-daemon --start --quiet --user=${ROOTD_USER} \
- --pidfile=/var/run/rootd.pid \
+ pid=$(start-stop-daemon --start --quiet --user ${ROOTD_USER} \
+ --pidfile /var/run/rootd.pid \
--exec /usr/bin/rootd -- ${ROOTD_OPTS})
- eval ${pid}
+ retval=$?
echo ${ROOTD_PID} > /var/run/rootd.pid
eend ${retval}
}
@@ -22,7 +22,7 @@ start() {
stop() {
ebegin "Stopping ROOT file server"
start-stop-daemon --stop --quiet \
- --pidfile=/var/run/rootd.pid \
+ --pidfile /var/run/rootd.pid \
--exec /usr/bin/rootd
eend $?
}
diff --git a/sci-physics/root/files/xrootd.initd b/sci-physics/root/files/xrootd.initd
index 73408a316513..d0528db067b0 100644
--- a/sci-physics/root/files/xrootd.initd
+++ b/sci-physics/root/files/xrootd.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/xrootd.initd,v 1.1 2008/12/18 18:10:18 bicatali Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/files/xrootd.initd,v 1.2 2009/01/20 18:04:09 bicatali Exp $
depend() {
need net
@@ -11,8 +11,8 @@ depend() {
start() {
ebegin "Starting extended ROOTD file server"
- start-stop-daemon --start --quiet --user=${XROOTD_USER} \
- --make-pidfile --pidfile=/var/run/xrootd.pid \
+ start-stop-daemon --start --quiet --user ${XROOTD_USER} \
+ --make-pidfile --pidfile /var/run/xrootd.pid \
--exec /usr/bin/xrootd --background -- ${XROOTD_OPTS}
eend $?
}
@@ -20,7 +20,7 @@ start() {
stop() {
ebegin "Stopping extended ROOTD file server"
start-stop-daemon --stop --quiet \
- --pidfile=/var/run/xrootd.pid \
+ --pidfile /var/run/xrootd.pid \
--exec /usr/bin/xrootd
eend $?
}